Skip to main content
PATCH
/
v1
/
flow
/
tools
/
{tool_id}
/
diff
curl --request PATCH \
  --url https://flow.seekr.com/v1/flow/tools/{tool_id}/diff \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "my file search tool",
  "description": "contains files about ",
  "config": {
    "file_search_index": "my-document-index",
    "top_k": 10,
    "score_threshold": 0.7
  }
}
'
{
  "before": {
    "id": "<string>",
    "name": "<string>",
    "config": {
      "FILE_SEARCH_INDEX": "<string>",
      "EMBEDDING_MODEL": "<string>",
      "TOP_K": 10,
      "SCORE_THRESHOLD": 0
    },
    "user_id": "<string>",
    "team_id": "<string>",
    "version": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "type": "file_search"
  },
  "after": {
    "id": "<string>",
    "name": "<string>",
    "config": {
      "FILE_SEARCH_INDEX": "<string>",
      "EMBEDDING_MODEL": "<string>",
      "TOP_K": 10,
      "SCORE_THRESHOLD": 0
    },
    "user_id": "<string>",
    "team_id": "<string>",
    "version": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "type": "file_search"
  },
  "diff": {}
}
Tool type cannot be changed after creation. If you include the type field in your request, it must match the existing tool type.

Authorizations

Authorization
string
header
required

Seekr API Key without 'Bearer' Prefix

Path Parameters

tool_id
string
required

Body

application/json
name
string | null
description
string | null
type
enum<string> | null
Available options:
file_search,
web_search,
run_python,
agent_as_tool,
mcp_connector
config
Config · object

Response

Successful Response

before
FileSearchResponse · object
required
after
FileSearchResponse · object
required
diff
Diff · object
Last modified on June 18, 2026